#ifndef TYPES_H
#define TYPES_H

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>
#include <time.h>
#include <math.h>

#define SCROLL_BUF_SIZE (128*6/8 * 8)
#define WEATHER_DATA_COUNT (40)

struct weather_t {
  int valid;
  time_t dt;
  float temp;
  float clouds;
  float wind;
  float rain;
  float snow;
};

struct scrolltext_t {
  // occupied width in px
  uint16_t width;
  // draw offset in px
  uint16_t offset;
  // no of held frames
  uint16_t frame;
  // frames to display each offset
  uint8_t frameCount[SCROLL_BUF_SIZE];

  uint8_t bImg[SCROLL_BUF_SIZE];
};
#endif